org.apache.synapse.commons.templates.uri.parser

## Class Node

- java.lang.Object
- - org.apache.synapse.commons.templates.uri.parser.Node

- Direct Known Subclasses:
    Expression, Literal

      public abstract class Node
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `hasQueryTemplate`
    `protected Node` | `next`
    `protected java.lang.String` | `token`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Node(java.lang.String token)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `expandAll(java.util.Map<java.lang.String,java.lang.String> variables)`
    `boolean` | `hasQueryTemplate()`
    `int` | `matchAll(java.lang.String uriFragment, java.util.Map<java.lang.String,java.lang.String> variables)`
    `void` | `setNext(Node next)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token

          protected java.lang.String token

    - #### next

          protected Node next

    - #### hasQueryTemplate

          protected boolean hasQueryTemplate

  - ### Constructor Detail

    - #### Node

          protected Node(java.lang.String token)

  - ### Method Detail

    - #### setNext

          public void setNext(Node next)

    - #### expandAll

          public java.lang.String expandAll(java.util.Map<java.lang.String,java.lang.String> variables)

    - #### matchAll

          public int matchAll(java.lang.String uriFragment,
                              java.util.Map<java.lang.String,java.lang.String> variables)

    - #### hasQueryTemplate

          public boolean hasQueryTemplate()

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.